Package org.jcsp.net

# Interface NetLabelledChannelEndFactory

All Known Implementing Classes:
  `StandardNetChannelEndFactory`, `UnacknowledgedNetChannelEndFactory`

public interface NetLabelledChannelEndFactory

This factory constructs `NetChannelInput` objects which have labelled VCN's.

JCSP.NET network channel addresses (signified by ``NetChannelLocation`` objects) have a Virtual Channel Number (VCN). This number is not exposed to JCSP users but is an integral part of channel addressing.

If two Nodes have no means of communication, there is no way that one can pass a ``NetChannelLocation`` object to the other. This means that a channel cannot be established using convential means. JCSP.NET solves this problem by allowing VCN's to be labelled by the user. If the address of a Node hosting a `ChannelInput` with a known labelled VCN is known by a process in another Node, then a `ChannelOutput` can be established by constructing with a `NetChannelLocation` object constrcuted using the ``NetChannelLocation(NodeAddressID, String)`` constructor.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`NetSharedChannelInput`
`createNet2Any(String label)`
Constructs a `NetSharedChannelInput` which has a VCN assigned with the specified label.
`NetAltingChannelInput`
`createNet2One(String label)`
Constructs a `NetAltingChannelInput` which has a VCN assigned with the specified label.

## Method Details

### createNet2One

NetAltingChannelInput createNet2One(String label)
Constructs a `NetAltingChannelInput` which has a VCN assigned with the specified label.

Parameters:
  `label` - the label to apply to the channel's VCN.
Returns:
  the constructed `NetAltingChannelInput` object.

### createNet2Any

NetSharedChannelInput createNet2Any(String label)
Constructs a `NetSharedChannelInput` which has a VCN assigned with the specified label.

Parameters:
  `label` - the label to apply to the channel's VCN.
Returns:
  the constructed `NetSharedChannelInput` object.